TRAFFICSERVER_EXPORTER(1)

NAME
prometheus-trafficserver-exporter - Prometheus exporter for Apache Traffic Server

DESCRIPTION
usage: prometheus-trafficserver-exporter [-h] [--endpoint ENDPOINT] [--metrics-file METRICS_FILE] [--addr ADDR]

[--port PORT] [--pidfile PIDFILE] [--procstats]
    [--no-procstats] [--no-ssl-verification] [--max-retries MAX_RETRIES] [-v]

Traffic Server exporter for Prometheus

  optional arguments:

-h, --help
    show this help message and exit

--endpoint ENDPOINT
    Traffic Server's stats_over_http plugin URL (default: http://127.0.0.1/_stats)

--metrics-filefR METRICS_FILE
    YAML file containing the metrics definition (default: use the metrics file shipped within the package)

--addr ADDR
    Address to bind and listen on (default: )

--port PORT
    Port to bind and listen on (default: 9122)

--pidfile PIDFILE
    Path to trafficserver PID file; used with --procstats (default: /var/run/trafficserver/server.lock)

--procstats
    Enable process metric collection (default: True)

--no-procstats
    Disable process metric collection (default: True)

--no-ssl-verification
    Disable SSL certificate verification on metric collection (default: True)

--max-retries MAX_RETRIES
    Maximum retries for DNS lookups or connnection timeouts/failures (default: 0)

-v, --verbose
    Verbose logging (repeat for more verbosity) (default: 0)

SEE ALSO
The full documentation for prometheus-trafficserver-exporter is maintained as a Texinfo manual. If the info and prometheus-trafficserver-exporter programs are properly installed at your site, the command

    info prometheus-trafficserver-exporter

should give you access to the complete manual.